/*body {*/
/*  padding: 50px;*/
/*  font: 14px "Lucida Grande", Helvetica, Arial, sans-serif;*/
/*}*/

/*a {*/
/*  color: #00B7FF;*/
/*}*/

h1 {
    font-weight: 500;
}
nav#mainNav {
    background-color: white;
}

i.bi:not(:only-child) {
    margin-right: 3px;
}

i.bi-label {
    padding-right: 3px;
}
.btn-toggle {
    border-radius: 20px;
    border: 2px solid #ccc;
    padding: 0;
    overflow: hidden;
}
.btn-toggle .btn {
    border-radius: 0;
    padding: 10px 20px;
}
.btn-toggle .btn:first-child {
    border-top-left-radius: 20px;
    border-bottom-left-radius: 20px;
}
.btn-toggle .btn:last-child {
    border-top-right-radius: 20px;
    border-bottom-right-radius: 20px;
}
.btn-toggle .btn.active {
    background-color: #000;
    color: #fff;
}

body {
    font-family: -apple-system, BlinkMacSystemFont, 'Inter', 'Segoe UI', Roboto, 'Helvetica Neue', Arial, sans-serif !important;
}

#mainNav {
    box-shadow: rgba(0, 0, 0, 0.25) 0 2px 3px;
}

.claim-container {
    padding: 0 !important;
}

.expense-card, .claim-share {
    padding: 24px !important;


    .expense-card-attachment {
        border-radius: 0.5rem;
        width: 50px;
        height: 50px;
        outline: grey solid 2px;
        overflow: hidden;
        cursor: pointer;

        img, svg {
            display: block; width: 100%; height: 100%; object-fit: cover; overflow: hidden;
        }

        svg {
            padding: 8px;
        }

        .bi-file-earmark-pdf {
            color: #E2574C;
        }

        .bi-file-earmark-arrow-down {
            color: #2596be;
        }
    }

    .expense-category-name {
        /*text-overflow: ellipsis;*/
        overflow: hidden;
        /*white-space: nowrap;*/
    }

    .expense-card-selectable-contents * {
        cursor: pointer;
    }

    .card-identifier {
        align-self: center;
    }

    .card-created-date {
        padding: 0 0.3rem;
        color: var(--bs-gray-600);
    }

    .card-created-date:hover {
        cursor: pointer;
    }

    .card-amount {
        font-weight: bold;
        font-size: 20px;
    }

    .card-entity-name {
        color: #939393;
        font-weight: 500;

    }

    .card-entity-value {
        display: flex;
        font-weight: 500;
        font-size: 19px;
        column-gap: 0.4rem;
    }

    .card-entity-desc {
        color: #939393;
        font-size: 15px;
    }

    .plus-one-more {
        font-size: 0.85em;
        font-weight: 500;
        margin-top: 3px;
    }

    .overlay {
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: rgb(0, 0, 0, 0.5);
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        border-radius: var(--bs-card-border-radius);
        border: var(--bs-card-border-width) solid var(--bs-card-border-color);
        z-index: 1;
        text-align: center;

        .content {
            background-color: white;
            color: black;
            padding: 20px 10px;
            border-radius: 8px;

            .action {
                display: flex;
                justify-content: center;
                gap: .5rem;
            }
        }

    }
}

.expense-card.selected-card {
    background-color: #f0f8ff;
    border-color: #00f;
}

.expense-card input[type="checkbox"] {
    display: none;
}

.claim-status-badge {
    font-size: 12px;
    display: inline-block;
    padding: 4px 10px;
    height: min-content;
    font-weight: 500;
}

.claim-completed {
    background-color: #DCFCE7;
    color: #166534;
}

.claim-pending {
    background-color: #FEF9C3;
    color: #854D0E;
}

.claim-red {
    background-color: #FEE1E2;
    color: #991B1B;
}

.password-requirements {
    margin-top: .25rem;
    font-size: 0.8rem;
}

.clickable-pill:hover {
    cursor: pointer;
}

.claim-share {
    .total-amount {
        font-family: 'Nunito', 'Inter', 'Arial', sans-serif;
        font-weight: 700;
        text-align: center;
        font-size: 70px;
        margin: 50px 0;
    }
}

.claim-expense-list-container {
    .claim-expense-item {
        display: flex;
        justify-content: space-between;
        align-items: flex-end;
        margin: 0.25rem 0; /* Equivalent to .my-1 */
    }

    .claim-expense-item-right {
        display: flex;
        justify-content: flex-end;
        align-items: flex-end;
        margin: 0.25rem 0; /* Equivalent to .my-1 */
    }

    .claim-expense-properties {
        display: flex;
        align-items: baseline;
        min-width: 0;
    }

    .claim-expense-properties-right {
        display: flex;
        align-items: baseline;
        min-width: 0;
        margin-right: auto;
    }

    .claim-expense-category {
        margin-right: 0.25rem; /* Equivalent to .me-1 */
        font-size: 1em;
        font-weight: 500;
        white-space: nowrap;
    }

    .claim-expense-description {
        white-space: nowrap; /* Added based on the class name */
        overflow: hidden;
        text-overflow: ellipsis;
        font-size: 0.85em;
        color: rgba(0, 0, 0, 0.5);
        font-weight: 400;
    }

    .claim-expense-amount {
        white-space: nowrap;
        margin-left: 10px;
        font-weight: bold;
    }
}

.modal-header .btn-close,
.modal-header .btn-download {
    margin-left: 10px;
}

.modal-header .btn-download {
    color: black;
    font-size: 1.25rem;
    margin-right: 10px;}

.iframeInModal {
    width: 100%;
    height: 75vh;
}

@media (max-width: 1024px) {
    .iframeInModal {
        height: 70vh;
    }
}

.viewer-download {
    color: #fff;
    font-family: 'bootstrap-icons', serif;
    font-size: 0.75rem;
    line-height: 1.5rem;
    text-align: center;
}

.viewer-download::before {
    content: "\F294";
}

.circle-background {
    width: 70px;  /* Adjust size as needed */
    height: 70px; /* Ensures it's a circle */
    border-radius: 50%; /* Makes it a perfect circle */
    display: flex;
    align-items: center;
    justify-content: center;
    * {
        font-size: 30px;
    }
}

.translucent-red {
    background-color: rgba(255, 0, 0, 0.15);
    * {
        font-size: 30px;
        color: var(--bs-red)
    }
}

.translucent-green {
    background-color: rgba(0, 255, 0, 0.15);
    * {
        font-size: 40px;
        color: var(--bs-green)
    }
}

.translucent-blue {
    background-color: rgba(0, 0, 255, 0.15);
    * {
        font-size: 40px;
        color: var(--bs-blue);
    }
}

.knnb {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

.page-title {
    font-size: calc(1.425rem + 2.1vw);
    font-weight: 500;
}

.monetary-negative, .settlement-display .owes {
    color: #D9534F
}

.monetary-positive, .settlement-display .owed {
    color: #5CB85C;
}